Fix minor issues with holes positions and shapes

This commit is contained in:
Roberto Alsina 2023-02-24 10:44:35 -03:00
parent b5deb70cbd
commit 6ea773109b
5 changed files with 9 additions and 6 deletions

View File

@ -5,12 +5,12 @@ stands = cq.Sketch().push(stand_positions).circle(3, mode="a").circle(2.65 / 2,
pillar_height = 7
# Holes for the battery power cable and button
power_in = cq.Sketch().trapezoid(10, 5.5, 90, mode="a")
power_in = cq.Sketch().trapezoid(12, 6.5, 90, mode="a").vertices().fillet(1)
power_in_offset_x = 15
power_in_offset_y = -1
button_offset_x = 67
button_offset_y = 5.5
power_button_cut = cq.Sketch().trapezoid(7, 7, 90, mode="a")
power_button_cut = cq.Sketch().trapezoid(7, 7, 90, mode="a").vertices().fillet(1)
# This is a holder for DuPont cables so they connect to this

Binary file not shown.

Binary file not shown.

View File

@ -77,14 +77,17 @@ mounting_pillars = (
screw_holes = cq.Sketch().push(mounting_pillar_positions).circle(3, mode="a")
# Hole for the USB hub's exposed port
usb_in = cq.Sketch().trapezoid(13, 5.5, 90, mode="a")
usb_in = cq.Sketch().trapezoid(13, 5.5, 90, mode="a").vertices().fillet(2)
# Thing to "grab" the hub so it stays in place
usb_holder = (
cq.Sketch().trapezoid(22, 10, 90, mode="a").trapezoid(17, 10, 90, mode="s").clean()
)
# Distance from edge to center of USB plug
usb_offset = 48
# Hole for the USB hub's exposed port
audio_in = cq.Sketch().trapezoid(17, 6, 90, mode="a")
audio_in = cq.Sketch().trapezoid(17, 6, 90, mode="a").vertices().fillet(1)
# CPU holder position from back-right corner of the case
cpu_offset_x = 150
@ -141,7 +144,7 @@ def model():
# available, keyboard height, cable length, etc.
.faces(">Y")
.workplane(centerOption="CenterOfBoundBox")
.center(- width / 2 + shell_t + 45 + 13 / 2, -8)
.center(- width / 2 + shell_t + usb_offset + 13 / 2, -8)
.placeSketch(usb_in)
.cutBlind(-shell_t)
# Audio plugs
@ -212,7 +215,7 @@ def model():
# Channel for the usb hub
.faces(">Y")
.workplane(centerOption="CenterOfBoundBox")
.center(- width / 2 + shell_t + 45 + 13 / 2, -8)
.center(- width / 2 + shell_t + usb_offset + 13 / 2, -8)
.placeSketch(usb_holder)
.extrude(-shell_t - 8)
)

Binary file not shown.